Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83709 - /sbin/cbq script failed when there are more than 10 identical devices in system
Summary: /sbin/cbq script failed when there are more than 10 identical devices in system
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: shapecfg
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-07 11:33 UTC by Yury
Modified: 2007-04-18 16:50 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-10-14 19:36:49 UTC


Attachments (Terms of Use)

Description Yury 2003-02-07 11:33:57 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
RedHat 7.3 ships with package shapecfg-2.2.12-18 which have script /sbin/cbq 
(version 0.3alpha2) for control traffic shaper procedures. This script contain 
bug in code at lines 90 and 91:
BANDWIDTH=`echo "$DEVFIELDS"|grep $dev|grep ","|cut -d "," -f2`
WEIGHT=`echo "$DEVFIELDS"|grep $dev|grep ","|cut -d "," -f3`

environment variable $dev should be written as "\<$dev\>", elsewhere we have 
problem at system with more than 10 identical interfaces, f.e. if we have in 
system interfaces eth1 and eth10 both of them will be "counted" by grep with 
subsequential "CBQ: can't find device $dev" error message. This bug was fixed 
in version 0.3a3 of cbq.init script, but still exist in Redhat. RH6.2 has same 
version of cbq.init and has same bug.

Version-Release number of selected component (if applicable):
2.2.12-18


How reproducible:
Always

Steps to Reproduce:
1. create more than 10 indentical interfaces in system, f.e. eth0 - eth10
2. configure cbq on both eth1 and eth10
3. run cbq start
    

Actual Results:  error messages as pointed in description

Expected Results:  working shaper

Additional info:

Comment 1 Mike A. Harris 2004-10-14 19:36:49 UTC
Red Hat Linux 7.3 entered end of life for support a while back,
and we no longer provide software updates for the EOL'd products.

Our currently supported Fedora Core OS release uses the 2.6.x
Linux kernel, which no longer supports shapecfg (although we
accidentally still shipped shapecfg with Fedora Core 2).  Under
the 2.6.x kernel, traffic shaping is done via the iproute
command, and users may migrate their shapecfg based traffic
shaping to the newer iproute based shaping infrastructure.

Setting status to "CURRENTRELEASE"


Note You need to log in before you can comment on or make changes to this bug.